Bug 52084 - When I open a file based on my own MODIFIED template (.ott), the program does not ask what it do, etc.
Summary: When I open a file based on my own MODIFIED template (.ott), the program does...
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.4 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-07-14 14:04 UTC by Zoltán Hegedüs
Modified: 2015-09-14 12:58 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zoltán Hegedüs 2012-07-14 14:04:36 UTC
When I open a file based on my own MODIFIED template (.ott), the program does not ask what it do.
When I copy styles between own templates (.ott), what are not opened at this moment, the program does not save the changes. I did not try this with opened templates (.ott files).
Comment 1 A (Andy) 2013-02-16 12:50:24 UTC
Could you please give more information to reproduce this issue.
Comment 2 Zoltán Hegedüs 2013-02-16 14:49:41 UTC
(In reply to comment #1)
> Could you please give more information to reproduce this issue.

What information need for you? OS: Windows XP Home SP3. When an opened file based on a template, what is modified after the opened file created, the program must ask what do it: use the modified template, for example, copy the new styles to the opened file, modify the modified styles, or not.
Comment 3 QA Administrators 2013-09-24 01:59:01 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 4 Zoltán Hegedüs 2013-11-16 15:10:02 UTC
Why is this unconfirmed still?
Comment 5 sophie 2014-01-08 12:17:46 UTC
Hi Zoltan, this bug is unconfirmed because we need your template or your document to try to reproduce the bug. Could you check in your document based on the modified template that under File > Properties > General, the template is associated to the document (last info in the dialog) - Thanks, left as uncofirmed for the moment - Sophie
Comment 6 Owen Genat (retired) 2014-07-28 12:45:03 UTC
(In reply to comment #0)
> When I open a file based on my own MODIFIED template (.ott), the program
> does not ask what it do.
> When I copy styles between own templates (.ott), what are not opened at this
> moment, the program does not save the changes. I did not try this with
> opened templates (.ott files).

I am going to attempt to paraphrase the original report for the sake of clarity. The reporter appears to have:

- A.ott, template
- B.odt, document based on A.ott

When A.ott is modified and then closed, upon opening B.odt it is expected that a dialog asking: 

> The template 'A' on which this document is based, has been modified. Do you 
> want to update style based formatting according to the modified template?
> [Update styles]    [Keep Old Styles]     [   Help   ]

... is displayed. This does not appear to be occurring. Furthermore styles copied between templates do not appear to be getting saved. This second issue is likely separate and needs to be reported separately.

I am unable to reproduce the issue as described above using v3.5.7.2 under GNU/Linux, but as suggested, greater detail about the change in styles (in the template) may be required to determine what is occurring. It may also be a Windows-specific issue with an old version.
Comment 7 sophie 2014-08-05 14:33:32 UTC
I set it to need info, need the document to confirm - Sophie
Comment 8 QA Administrators 2015-02-11 19:52:44 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11